<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/19/2003 *
 * ===================                          Last change: 12/12/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-payments.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Payments (points) for confirmed mails            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Verguetungen fuer best&auml;tigte Mails              *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (((!isPostRequestElementSet('t_wait')) || (!isPostRequestElementSet('payment'))) && (isGetRequestElementSet('do')) && (getRequestElement('do') == 'add')) {
	unsetPostRequestElement('ok');
} // END - if

// Init SQL array
initSqls();

if (isFormSent()) {
	switch (getRequestElement('do')) {
		case 'add':
			if (countSumTotalData(postRequestElement('t_wait'), 'payments', 'id', 'time', TRUE) == 0) {
				addSql("INSERT INTO
	`{?_MYSQL_PREFIX?}_payments`
(
	`time`,
	`payment`,
	`mail_title`,
	`price`
) VALUES (
	'" . postRequestElement('t_wait') . "',
	'" . postRequestElement('payment') . "',
	'" . postRequestElement('title') . "',
	'" . postRequestElement('price') . "'
)");
			} // END - if
			break;

		case 'edit':
			foreach (postRequestElement('time') as $id => $value) {
				// Secure id
				$id = bigintval($id);

				// Add UPDATE
				addSql("UPDATE
	`{?_MYSQL_PREFIX?}_payments`
SET
	`time`='" . $value . "',
	`payment`='" . postRequestElement('payment', $id) . "',
	`price`='" . postRequestElement('price', $id) . "',
	`mail_title`='" . postRequestElement('mail_title', $id) . "'
WHERE
	`id`='" . $id . "'
LIMIT 1");
			} // END - foreach
			break;

		case 'delete':
			foreach (postRequestElement('id') as $id => $value) {
				// Secure id
				$id = bigintval($id);

				// Add DELETE
				addSql("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_payments` WHERE `id`=" . $id . " LIMIT 1");
			} // END - foreach
			break;
	} // END - switch

	// Nothing has changed by default
	$content = '<span class="bad">{--SETTINGS_NOT_SAVED--}</span>';

	// Save settings
	if (countSqls() > 0) {
		// Run all queries
		runFilterChain('run_sqls');

		// Purge cache
		rebuildCache('payments', 'payments');

		// Change message
		$content = '<span class="good">{--SETTINGS_SAVED--}</span>';
	} // END - if

	// Output template
	displayMessage($content);
} elseif ((isFormSent('delete')) && (ifPostContainsSelections())) {
	// Delete entries here
	$OUT = '';
	foreach (postRequestElement('sel') as $id => $value) {
		$result = sqlQueryEscaped("SELECT
	`id`,
	`time`,
	`payment`,
	`mail_title`,
	`price`
FROM
	`{?_MYSQL_PREFIX?}_payments`
WHERE
	`id`=%s
LIMIT 1",
			array(bigintval($id)), __FILE__, __LINE__);
		$content = sqlFetchArray($result);

		// Free result
		sqlFreeResult($result);

		// Load row template and switch colors
		$OUT .= loadTemplate('admin_delete_payments_row', TRUE, $content);
	} // END - foreach

	// Load main template
	loadTemplate('admin_delete_payments', FALSE, $OUT);
} elseif ((isFormSent('edit')) && (ifPostContainsSelections())) {
	// Edit entries
	$OUT = '';
	foreach (postRequestElement('sel') as $id => $value) {
		$result = sqlQueryEscaped("SELECT
	`id`,
	`time`,
	`payment`,
	`mail_title`,
	`price`
FROM
	`{?_MYSQL_PREFIX?}_payments`
WHERE
	`id`=%s
LIMIT 1",
			array(bigintval($id)), __FILE__, __LINE__);
		$content = sqlFetchArray($result);

		// Free result
		sqlFreeResult($result);

		// Load row template and switch colors
		$OUT .= loadTemplate('admin_edit_payments_row', TRUE, $content);
	} // END - foreach

	// Load main template
	loadTemplate('admin_edit_payments', FALSE, $OUT);
} else {
	// Referral levels
	$result = sqlQuery("SELECT
	`id`,
	`time`,
	`payment`,
	`mail_title`,
	`price`
FROM
	`{?_MYSQL_PREFIX?}_payments`
ORDER BY
	`time` ASC", __FILE__, __LINE__);
	if (!ifSqlHasZeroNums($result)) {
		// Make referral levels editable and deletable
		$OUT = '';

		// List already existing categories for editing
		while ($content = sqlFetchArray($result)) {
			// Load row template and switch colors
			$OUT .= loadTemplate('admin_list_payments_row', TRUE, $content);
		} // END - switch

		// Free memory
		sqlFreeResult($result);

		// Load main template
		loadTemplate('admin_list_payments', FALSE, $OUT);
	} // END - if

	// Form for adding new referral levels
	loadTemplate('admin_add_payment');
}

// [EOF]
?>
